<%
'THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT 
'WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, 
'INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
'OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR 
'PURPOSE

'------------------------------------------------------------------------------
'
' NAME: Cdoprops.inc
'
' FILE DESCRIPTION: CDO property tags
'
' Copyright (c) CdoLive 1999. All rights reserved.
'               Http://www.cdolive.com
'               Mailto:samples@cdolive.com
'
' Portions:
' Copyright (c) Microsoft Corporation 1993-1997. All rights reserved.
'
'------------------------------------------------------------------------------

Const CdoPR_DISPLAY_NAME			= &H3001001F
Const CdoPR_DISPLAY_NAME_PREFIX			= &H3A45001E
Const CdoPR_SURNAME				= &H3A11001F
Const CdoPR_MIDDLE_NAME				= &H3A44001F
Const CdoPR_GIVEN_NAME				= &H3A06001F
Const CdoPR_INITIALS				= &H3A0A001E
Const CdoPR_TITLE				= &H3A17001F
Const CdoPR_BUSINESS_HOME_PAGE			= &H3A51001F
Const CdoPR_PERSONAL_HOME_PAGE			= &H3A50001F
Const CdoPR_FTP_SITE				= &H3A4C001E
Const CdoPR_COMPANY_NAME			= &H3A16001F
Const CdoPR_GENERATION				= &H3A05001E

Const CdoPR_STREET_ADDRESS			= &H3A29001E
Const CdoPR_LOCALITY				= &H3A27001E
Const CdoPR_STATE_OR_PROVINCE			= &H3A28001E
Const CdoPR_POSTAL_CODE				= &H3A2A001E
Const CdoPR_BUSINESS_ADDRESS_COUNTRY		= &H3A26001E
Const CdoPR_EMAIL				= &H39FE001E

Const CdoPR_POSTAL_ADDRESS			= &H3A15001F
Const CdoPR_HOME_ADDRESS_CITY			= &H3A59001E
Const CdoPR_HOME_ADDRESS_STREET			= &H3A5D001E
Const CdoPR_HOME_ADDRESS_STATE_OR_PROVINCE	= &H3A5C001E
Const CdoPR_HOME_ADDRESS_COUNTRY		= &H3A5A001E
Const CdoPR_HOME_ADDRESS_POST_OFFICE_BOX	= &H3A5E001E
Const CdoPR_HOME_ADDRESS_POSTAL_CODE		= &H3A5B001E
Const CdoPR_OTHER_ADDRESS_CITY			= &H3A5F001E
Const CdoPR_OTHER_ADDRESS_STREET		= &H3A63001E
Const CdoPR_OTHER_ADDRESS_STATE_OR_PROVINCE	= &H3A62001E
Const CdoPR_OTHER_ADDRESS_COUNTRY		= &H3A60001E
Const CdoPR_OTHER_ADDRESS_POSTAL_CODE		= &H3A61001E
Const CdoPR_OTHER_ADDRESS_POST_OFFICE_BOX	= &H3A64001E

Const CdoPR_ASSISTANT_TELEPHONE_NUMBER		= &H3A2E001F
Const CdoPR_BUSINESS_TELEPHONE_NUMBER		= &H3A08001F
Const CdoPR_BUSINESS2_TELEPHONE_NUMBER		= &H3A1B001F
Const CdoPR_BUSINESS_FAX_NUMBER			= &H3A24001F
Const CdoPR_CALLBACK_TELEPHONE_NUMBER		= &H3A02001F
Const CdoPR_CAR_TELEPHONE_NUMBER		= &H3A1E001F
Const CdoPR_COMPANY_MAIN_PHONE_NUMBER		= &H3A57001F
Const CdoPR_HOME_TELEPHONE_NUMBER		= &H3A09001F
Const CdoPR_HOME2_TELEPHONE_NUMBER		= &H3A2F001F
Const CdoPR_HOME_FAX_NUMBER			= &H3A25001F
Const CdoPR_ISDN_NUMBER				= &H3A2D001F
Const CdoPR_MOBILE_TELEPHONE_NUMBER		= &H3A1C001F
Const CdoPR_OTHER_TELEPHONE_NUMBER		= &H3A1F001F
Const CdoPR_PRIMARY_FAX_NUMBER			= &H3A23001F
Const CdoPR_PAGER_TELEPHONE_NUMBER		= &H3A21001F
Const CdoPR_PRIMARY_TELEPHONE_NUMBER		= &H3A1A001F
Const CdoPR_RADIO_TELEPHONE_NUMBER		= &H3A1D001F
Const CdoPR_TELEX_NUMBER			= &H3A2C001F
Const CdoPR_TTYTDD_PHONE_NUMBER			= &H3A4B001F

Const CdoPR_DEPARTMENT_NAME			= &H3A18001F
Const CdoPR_MANAGER_NAME			= &H3A4E001F
Const CdoPR_OFFICE_LOCATION			= &H3A19001F
Const CdoPR_ASSISTANT				= &H3A30001F
Const CdoPR_PROFESSION				= &H3A46001F
Const CdoPR_NICKNAME				= &H3A4F001F
Const CdoPR_BIRTHDAY				= &H3A420040
Const CdoPR_SPOUSE_NAME				= &H3A48001F
Const CdoPR_WEDDING_ANNIVERSARY			= &H3A41001F
Const CdoPR_ACCOUNT				= &H3A00001E
Const CdoPR_COMPUTER_NETWORK_NAME		= &H3A49001E
Const CdoPR_CHILDRENS_NAMES			= &H3A58101E
Const CdoPR_CUSTOMER_ID				= &H3A4A001E
Const CdoPR_GENDER				= &H3A4D0002
Const CdoPR_GOVERNMENT_ID_NUMBER		= &H3A07001E
Const CdoPR_HOBBIES				= &H3A43001E
Const CdoPR_LANGUAGE				= &H3A0C001E
Const CdoPR_LOCATION				= &H3A0D001E
Const CdoPR_ORGANIZATIONAL_ID_NUMBER		= &H3A10001E
Const CdoPR_REFERRED_BY_NAME			= &H3A47001E

Const CdoPR_DISPLAY_TYPE			= &H39000003
Const CdoPR_GLOBAL				= &H00020000
Const CdoPR_DELIVER_TIME			= &H00100040
Const CdoPR_ENTRYID				= &H0FFF0102
Const CdoPR_HASATTACH				= &H0E1B000B
Const CdoPR_IMPORTANCE				= &H00170003
Const CdoPR_IPM_OUTBOX_ENTRYID			= &H35E20102
Const CdoPR_IPM_SENTMAIL_ENTRYID		= &H35E40102
Const CdoPR_IPM_SUBTREE_ENTRYID			= &H35E00102
Const CdoPR_IPM_WASTEBASKET_ENTRYID		= &H35E30102
Const CdoPR_IPM_PUBLIC_FOLDERS_ENTRYID		= &H66310102
Const CdoPR_MESSAGE_CLASS			= &H001A001F
Const CdoPR_MESSAGE_DELIVERY_TIME		= &H0E060040
Const CdoPR_MESSAGE_SIZE			= &H0E080003
Const CdoPR_NDR_DIAG_CODE			= &H0C050003
Const CdoPR_NDR_REASON_CODE			= &H0C040003
Const CdoPR_NON_RECEIPT_REASON			= &H003E0003
Const CdoPR_NORMALIZED_SUBJECT			= &H0E1D001F
Const CdoPR_ORIGINAL_DELIVERY_TIME		= &H00550040
Const CdoPR_ORIGINAL_DISPLAY_BCC		= &H0072001F
Const CdoPR_ORIGINAL_DISPLAY_CC			= &H0073001F
Const CdoPR_ORIGINAL_DISPLAY_NAME		= &H3A13001F
Const CdoPR_ORIGINAL_DISPLAY_TO			= &H0074001F
Const CdoPR_ORIGINAL_SENSITIVITY		= &H002E0003
Const CdoPR_ORIGINAL_SENT_REPRESENTING_NAME	= &H005D001F
Const CdoPR_ORIGINAL_SUBJECT			= &H0049001F
Const CdoPR_ORIGINAL_SUBMIT_TIME		= &H004E0040
Const CdoPR_RCVD_REPRESENTING_NAME		= &H0044001F
Const CdoPR_READ_RECEIPT_REQUESTED		= &H0029000B
Const CdoPR_RECEIPT_TIME			= &H002A0040
Const CdoPR_REPORT_TEXT				= &H1001001F
Const CdoPR_REPORT_TIME				= &H00320040
Const CdoPR_ROWID    				= &H30000003
Const CdoPR_SECURITY				= &H00340003
Const CdoPR_SENDER_NAME				= &H0C1A001F
Const CdoPR_SENDER_ADDRTYPE			= &H0C1E001F
Const CdoPR_SENDER_EMAIL_ADDRESS		= &H0C1F001F
Const CdoPR_SENT_REPRESENTING_NAME		= &H0042001F
Const CdoPR_SENT_REPRESENTING_ADDRTYPE		= &H0064001F
Const CdoPR_SENT_REPRESENTING_EMAIL_ADDRESS	= &H0065001F
Const CdoPR_SENSITIVITY				= &H00360003
Const CdoPR_STORE_ENTRYID			= &H0FFB0102
Const CdoPR_SUBJECT				= &H0037001F
Const CdoPR_SUBJECT_PREFIX			= &H003D001F
Const CdoPR_SUPPLEMENTARY_INFO			= &H0C1B001F
Const CdoPR_EMS_AB_PROXY_ADDRESSES		= &H800F101E
Const AMHTMLPLAIN_BODY				= &H7101001F
Const CdoPR_ATTACH_DATA_BIN			= &H37010102
Const CdoPR_CREATION_TIME			= &H30070040
Const CdoPR_RTF_COMPRESSED			= &H10090102
Const CdoPR_ACCESS				= &H0FF40003
Const CdoPR_7BIT_DISPLAY_NAME			= &H3001001F
Const CdoPR_ACCESS_LEVEL			= &H0FF70003
Const CdoPR_BODY				= &H1000001F
Const CdoPR_CONVERSATION_TOPIC			= &H0070001F
Const CdoPR_CONTAINER_CONTENTS			= &H360F000D
Const CdoPR_CLIENT_SUBMIT_TIME			= &H00390040
Const CdoPR_DEFAULT_STORE			= &H3400000B
Const CdoPR_DISPLAY_BCC				= &H0E02001F
Const CdoPR_DISPLAY_CC				= &H0E03001F
Const CdoPR_DISPLAY_TO				= &H0E04001F
Const CdoPR_STORE_SUPPORT_MASK			= &H340D0003
Const CdoPR_STORE_PUBLIC_FOLDERS		= &H00004000

Const PR_EMS_AB_EXTENSION_ATTRIBUTE_1		= &H802D001E
Const PR_EMS_AB_EXTENSION_ATTRIBUTE_10		= &H8036001E
Const PR_EMS_AB_EXTENSION_ATTRIBUTE_11		= &H8C57001E
Const PR_EMS_AB_EXTENSION_ATTRIBUTE_12		= &H8C58001E
Const PR_EMS_AB_EXTENSION_ATTRIBUTE_13		= &H8C59001E
Const PR_EMS_AB_EXTENSION_ATTRIBUTE_14		= &H8C60001E
Const PR_EMS_AB_EXTENSION_ATTRIBUTE_15		= &H8C61001E
Const PR_EMS_AB_EXTENSION_ATTRIBUTE_2		= &H802E001E
Const PR_EMS_AB_EXTENSION_ATTRIBUTE_3		= &H802F001E
Const PR_EMS_AB_EXTENSION_ATTRIBUTE_4		= &H8030001E
Const PR_EMS_AB_EXTENSION_ATTRIBUTE_5		= &H8031001E
Const PR_EMS_AB_EXTENSION_ATTRIBUTE_6		= &H8032001E
Const PR_EMS_AB_EXTENSION_ATTRIBUTE_7		= &H8033001E
Const PR_EMS_AB_EXTENSION_ATTRIBUTE_8		= &H8034001E
Const PR_EMS_AB_EXTENSION_ATTRIBUTE_9		= &H8035001E

' Outlook contact properties
Const CdoPidTag_FileUnder			= "{0420060000000000C000000000000046}0x8005"
Const CdoPidTag_CompanyAndFullName		= "{0420060000000000C000000000000046}0x8018"
Const CdoPidTag_CompanyLastFirstNoSpace		= "{0420060000000000C000000000000046}0x8032"
Const CdoPidTag_CompanyLastFirstSpaceOnly	= "{0420060000000000C000000000000046}0x8033"
Const CdoPidTag_FullNameAndCompany		= "{0420060000000000C000000000000046}0x8019"
Const CdoPidTag_LastFirstAndSuffix		= "{0420060000000000C000000000000046}0x8036"
Const CdoPidTag_LastFirstNoSpace		= "{0420060000000000C000000000000046}0x8030"
Const CdoPidTag_LastFirstNoSpaceCompany		= "{0420060000000000C000000000000046}0x8034"
Const CdoPidTag_LastFirstSpaceOnly		= "{0420060000000000C000000000000046}0x8031"
Const CdoPidTag_LastFirstSpaceOnlyCompany	= "{0420060000000000C000000000000046}0x8035"
Const CdoPidTag_LastNameAndFirstName		= "{0420060000000000C000000000000046}0x8017"
Const CdoPidTag_FileUnderId			= "{0420060000000000C000000000000046}0x8006"
Const CdoPidTag_SelectedOriginalDisplayName	= "{0420060000000000C000000000000046}0x8009"
Const CdoPidTag_YomiFirstName			= "{0420060000000000C000000000000046}0x802C"
Const CdoPidTag_YomiLastName			= "{0420060000000000C000000000000046}0x802D"
Const CdoPidTag_YomiCompanyName			= "{0420060000000000C000000000000046}0x802E"
Const CdoPidTag_FileUnderList			= "{0420060000000000C000000000000046}0x8026"

Const CdoPidTag_EmailDisplayName		= "{0420060000000000C000000000000046}0x8080"
Const CdoPidTag_EmailEntryID			= "{0420060000000000C000000000000046}0x8081"
Const CdoPidTag_EmailAddrType			= "{0420060000000000C000000000000046}0x8082"
Const CdoPidTag_EmailEmailAddress		= "{0420060000000000C000000000000046}0x8083"
Const CdoPidTag_EmailOriginalDisplayName	= "{0420060000000000C000000000000046}0x8084"
Const CdoPidTag_EmailOriginalEntryID		= "{0420060000000000C000000000000046}0x8085"
Const CdoPidTag_EmailEmailType			= "{0420060000000000C000000000000046}0x8087"

Const CdoPidTag_Email2DisplayName		= "{0420060000000000C000000000000046}0x8090"
Const CdoPidTag_Email2EntryID			= "{0420060000000000C000000000000046}0x8091"
Const CdoPidTag_Email2AddrType			= "{0420060000000000C000000000000046}0x8092"
Const CdoPidTag_Email2EmailAddress		= "{0420060000000000C000000000000046}0x8093"
Const CdoPidTag_Email2OriginalDisplayName	= "{0420060000000000C000000000000046}0x8094"
Const CdoPidTag_Email2OriginalEntryID		= "{0420060000000000C000000000000046}0x8095"
Const CdoPidTag_Email2EmailType			= "{0420060000000000C000000000000046}0x8097"

Const CdoPidTag_Email3DisplayName		= "{0420060000000000C000000000000046}0x80A0"
Const CdoPidTag_Email3EntryID			= "{0420060000000000C000000000000046}0x80A1"
Const CdoPidTag_Email3AddrType			= "{0420060000000000C000000000000046}0x80A2"
Const CdoPidTag_Email3EmailAddress		= "{0420060000000000C000000000000046}0x80A3"
Const CdoPidTag_Email3OriginalDisplayName	= "{0420060000000000C000000000000046}0x80A4"
Const CdoPidTag_Email3OriginalEntryID		= "{0420060000000000C000000000000046}0x80A5"
Const CdoPidTag_Email3EmailType			= "{0420060000000000C000000000000046}0x80A7"

Const CdoPidTag_WebPage				= "{0420060000000000C000000000000046}0x802B"
Const CdoPidTag_HomeAddress			= "{0420060000000000C000000000000046}0x801A"
Const CdoPidTag_BusinessAddress			= "{0420060000000000C000000000000046}0x801B"
Const CdoPidTag_OtherAddress			= "{0420060000000000C000000000000046}0x801C"

Const CdoPidTag_BusinessAddressCity		= "{0420060000000000C000000000000046}0x8046"
Const CdoPidTag_BusinessAddressStreet		= "{0420060000000000C000000000000046}0x8045"
Const CdoPidTag_BusinessAddressState		= "{0420060000000000C000000000000046}0x8047"
Const CdoPidTag_BusinessAddressCountry		= "{0420060000000000C000000000000046}0x8049"
Const CdoPidTag_BusinessAddressPostalCode	= "{0420060000000000C000000000000046}0x8048"
Const CdoPidTag_BusinessAddressPostOfficeBox	= "{0420060000000000C000000000000046}0x804A"

' Access Levels (bit flags)
MAPI_ACCESS_CREATE_ASSOCIATED			= &H00000020
MAPI_ACCESS_CREATE_CONTENTS			= &H00000010
MAPI_ACCESS_CREATE_HIERARCHY			= &H00000008
MAPI_ACCESS_DELETE				= &H00000004
MAPI_ACCESS_READ				= &H00000002
MAPI_ACCESS_MODIFY				= &H00000001
MAPI_E_COLLISION				= &H80040604
MAPI_E_NOT_FOUND				= &H8004010F
MAPI_E_PERMISSIONS				= &H46000000

' Message importance
Const CdoLow					= 0
Const CdoNormal					= 1
Const CdoHigh					= 2

' Folder status
Const CdoHTML_FolderHierarchy			= 2
Const CdoHTML_FolderContents			= 1

' Message Sensitivity
Const CdoSensitive_Normal			= 0
Const CdoSensitive_Personal			= 1
Const CdoSensitive_Private			= 2
Const CdoSensitive_Confidential			= 3

' Renderer classes
Const CdoClassApplication			= 1
Const CdoClassObjectRenderer			= 2
Const CdoClassContainerRenderer			= 3
Const CdoClassFormat				= 4
Const CdoClassFormats				= 5
Const CdoClassPatterns				= 6
Const CdoClassPattern				= 7
Const CdoClassViews				= 8
Const CdoClassTableView				= 9
Const CdoClassColumns				= 10
Const CdoClassColumn				= 11
Const CdoClassCalendarView			= 12
%>
